<?php

\defined('ABSPATH') or exit;

function SpamJam_add_menu_item()
{
    add_menu_page(
        'SpamJam Settings', // Page title
        'Spamjam', // Menu title
        'manage_options', // Capability required to access the page
        'spamjam', // Menu slug
        'SpamJam_settings_page', // Function to display the settings page
        //'dashicons-admin-generic', // Icon URL
        'data:image/svg+xml;base64,' . base64_encode('<svg xmlns="http://www.w3.org/2000/svg" width="34" height="34" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-width="2" d="M8 2a4 4 0 0 0-2 7.465V16h12V9.465A4 4 0 0 0 16 2H8Zm3.321 4.874a1.004 1.004 0 0 1 1.38-.37l1.715.991c.483.279.652.889.37 1.38l-.991 1.715a1.004 1.004 0 0 1-1.38.37L10.7 9.968a1.004 1.004 0 0 1-.37-1.379l.991-1.716ZM8 18v2m4-2v5m4-5v3"/></svg>'), // Icon URL
        32 // Position in the menu
    );
}
add_action('admin_menu', 'SpamJam_add_menu_item');

/**
 * HTML for our settings page
 *
 * @return html
 */
function SpamJam_settings_page()
{
    ?>
    <div class="wrap">
        <h1>SpamJam Settings</h1>
        <form method="post" action="options.php">
            <?php settings_fields('spamjam-settings-group'); ?>
            <?php do_settings_sections('spamjam-settings-group'); ?>
            <table class="form-table">
                <tr>
                    <th scope="row">API Key</th>
                    <td><input type="text" name="spamjam_api" value="<?php echo esc_attr(get_option('spamjam_api')); ?>"></td>
                </tr>
                <tr>
                    <th scope="row">Blacklist</th>
                    <td><input type="text" name="spamjam_blacklist" value="<?php echo esc_attr(get_option('spamjam_blacklist')); ?>"></td>
                </tr>
            </table>
            <?php submit_button(); ?>
        </form>
    </div>
    <?php
}

/**
 * Register settings
 *
 * @return void
 */
function SpamJam_register_settings()
{
    register_setting('spamjam-settings-group', 'spamjam_option1');
    register_setting('spamjam-settings-group', 'spamjam_option2');
}
add_action('admin_init', 'SpamJam_register_settings');
